#
# spec file for package gv (Version 3.5.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db desktop-data-SuSE desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xaw3d xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           gv
BuildRequires:  desktop-data-SuSE update-desktop-files xaw3d xorg-x11 xorg-x11-devel
License:        GNU General Public License (GPL)
Group:          Productivity/Publishing/PS
Requires:       ghostscript_x11
Conflicts:      gs_serv gs_vga
# NOTE: We don't want this dependency and desktop-data-SuSE is in all
# desktop selections.
#Requires:    desktop-data-SuSE
Autoreqprov:    on
URL:            http://wwwthep.physik.uni-mainz.de/~plass/gv/
Summary:        A Program to View PostScript Files
Version:        3.5.8
Release:        1184.2
Source0:        gv-3.5.8.tar.bz2
Patch0:         gv-3.5.8-deb.patch
Patch1:         gv-3.5.8.dif
Patch2:         gv-3.5.8-security.patch
Patch3:         gv-3.5.8-bzip2.patch
# I18N patch originally from:
# http://www.on.cs.keio.ac.jp/~yasu/jp_xaw.html
# http://www.on.cs.keio.ac.jp/~yasu/linux/Xaw/gv-3.5.8-I18N-mb.patch
# changed a little bit for SuSE:
Patch4:         gv-3.5.8-I18N-mb.patch
Patch5:         intptr_t.patch
Patch6:         settitle.patch
Patch7:         gv-3.5.8-gcc4.patch
Patch8:         gv-3.5.8-sec2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{expand: %%global _exec_prefix %(type -p pkg-config &>/dev/null && pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_exec_prefix" == "/usr/X11R6"

%global _mandir     %{_exec_prefix}/man
%define _x11data    %{_exec_prefix}/lib/X11
%define _appdefdir  %{_x11data}/app-defaults
%else
%define _x11data    %{_datadir}/X11
%define _appdefdir  %{_x11data}/app-defaults
%endif

%description
GV offers you an X Window System GUI for viewing PostScript files. This
is an X Window System interface to ghostscript.



Authors:
--------
    Tim Theisen <tim@cs.wisc.edu>
    Johannes Plass <plass@dipmza.physik.uni-mainz.de>

%debug_package
%prep
%setup -n gv-3.5.8
%patch0 -p 1 -b .deb
%patch1
%patch2 -p1 -b .sec
%patch3 -p0 -b .bzip2
%patch4 -p1 -b .I18N-mb
%patch5 -p1 -b .intptr_t
%patch6 -p1 -b .settitle
%patch7 -p0 -b .gcc4
%patch8 -p0 -b .sec2

%build
xmkmf -a
make CCOPTIONS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install.man
make DESTDIR=%{buildroot} install.doc
install -m 0444 NOTE %{buildroot}/%{_defaultdocdir}/gv/Copyright
# add font settings to app-defaults:
for i in $(find %{buildroot}%{_x11data} -type f -name "GV")
do
    cat source/gv_font_res-I18N_mb.dat >> ${i}
done
# japanese app-defaults:
mkdir -p %{buildroot}%{_x11data}/{ja,ja_JP.SJIS,ja_JP.UTF-8}/app-defaults
mv %{buildroot}%{_x11data}/ja_JP.eucJP/app-defaults/GV \
   %{buildroot}%{_x11data}/ja/app-defaults/GV
iconv -f EUC-JP -t SJIS < %{buildroot}%{_x11data}/ja/app-defaults/GV \
   > %{buildroot}%{_x11data}/ja_JP.SJIS/app-defaults/GV 
iconv -f EUC-JP -t UTF-8 < %{buildroot}%{_x11data}/ja/app-defaults/GV \
   > %{buildroot}%{_x11data}/ja_JP.UTF-8/app-defaults/GV 
%suse_update_desktop_file -i gv Office Viewer
if test -e /usr/share/pixmaps/gv.png; then
    rm %{buildroot}/usr/share/pixmaps/gv.png
    > filelist
else
    echo /usr/share/pixmaps/gv.png > filelist
fi

%files -f filelist
%defattr(-,root,root)
/usr/share/applications/gv.desktop
%dir %{_x11data}/gv/
%config %{_x11data}/gv/gv_system.ad
%config %{_x11data}/gv/gv_user.ad
%config %{_x11data}/gv/gv_class.ad
%config %{_appdefdir}/GV
%dir %{_x11data}/??
%dir %{_x11data}/??_*
%dir %{_x11data}/*/app-defaults
%config %{_x11data}/ja*/app-defaults/GV
%{_bindir}/gv
%doc %{_mandir}/man1/gv.1x.gz
%docdir %{_defaultdocdir}/gv/
%{_defaultdocdir}/gv/Copyright
%doc %{_defaultdocdir}/gv/gs.interface.gz
%doc %{_defaultdocdir}/gv/gv-faq.txt.gz
%doc %{_defaultdocdir}/gv/key-bindings.txt.gz
%doc %{_defaultdocdir}/gv/comments.doc.gz
%doc %{_defaultdocdir}/gv/gv.ps.gz
%doc %{_defaultdocdir}/gv/gv-1.html
%doc %{_defaultdocdir}/gv/gv-10.html
%doc %{_defaultdocdir}/gv/gv-11.html
%doc %{_defaultdocdir}/gv/gv-12.html
%doc %{_defaultdocdir}/gv/gv-13.html
%doc %{_defaultdocdir}/gv/gv-2.html
%doc %{_defaultdocdir}/gv/gv-3.html
%doc %{_defaultdocdir}/gv/gv-4.html
%doc %{_defaultdocdir}/gv/gv-5.html
%doc %{_defaultdocdir}/gv/gv-6.html
%doc %{_defaultdocdir}/gv/gv-7.html
%doc %{_defaultdocdir}/gv/gv-8.html
%doc %{_defaultdocdir}/gv/gv-9.html
%doc %{_defaultdocdir}/gv/gv-faq.html
%doc %{_defaultdocdir}/gv/gv.html
%dir %{_defaultdocdir}/gv/

%changelog -n gv
* Fri Nov 17 2006 - werner@suse.de
- Corrected version of last fix (bug #219454)
* Thu Nov 09 2006 - werner@suse.de
- Avoid buffer overflow in gv gettext() (bug #219454)
* Thu Aug 24 2006 - werner@suse.de
- Check for existence of gv.png
* Wed Aug 02 2006 - werner@suse.de
- Make it build with X11R7
* Tue Feb 28 2006 - werner@suse.de
- Fix range of array subscript (bug #154109)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 29 2005 - sbrabec@suse.cz
- Don't package icon already present in desktop-data-SuSE.
  Cleans rpm -V output.
* Tue Jun 07 2005 - meissner@suse.de
- Use RPM_OPT_FLAGS.
* Mon May 23 2005 - mfabian@suse.de
- Bugzilla #85410: improve default fontsets to make it work better
  with the recent changes in the XLC_LOCALE files in Xorg.
  Japanese should look nicer now and warning messages should
  usually disappear.
* Mon Apr 18 2005 - werner@suse.de
- Set DELAYSAFER for dsc file of the pdf within a pipe (bug #78322)
* Wed Apr 13 2005 - werner@suse.de
- Add a return after label even for void functions for stupid gcc4
* Wed Nov 17 2004 - werner@suse.de
- Add gv.png pixmap to file list
* Mon Jun 28 2004 - mfabian@suse.de
- add "-*-*-Medium-R-*--16-*-*-*-*-*-*-*" to all fontsets as a
  fallback to suppress useless warnings if
  "-*-*-Medium-R-*--14-*-*-*-*-*-*-*" or other sizes are not
  available. For example, Korean fonts in sizes other than 16
  pixel are usually not available in a Japanese installation.
  Therefore one gets warnings because the ja_JP.UTF-8/XLC_LOCALE \
  file usually specifies the charset KSC5601.1987-0 as well.
  In 16 pixel, there are fonts for all common encodings already
  in the basic X11 packages, therefore 16 pixel should
  always work as a fallback.
* Fri May 28 2004 - adrian@suse.de
- add "Office" to Categories to match the menu definition (#41338)
* Fri Apr 30 2004 - mfabian@suse.de
- Bugzilla #39594: add gv-3.5.8-I18N-mb.patch to support the
  display of multibyte file names.
- intptr_t.patch: fix compiler warnings
  "converting integer to pointer of different size"
- fix display of file names in the window title and icons by
  setting _NET_WM_NAME and _NET_WM_ICON_NAME properties
  (thanks a lot to Marcus Schaefer <ms@suse.de> for help).
* Thu Apr 29 2004 - werner@suse.de
- correct category for desktop file: "PostScript Viewer"
  -> "Viewer".
* Tue Apr 06 2004 - werner@suse.de
- Add desktop entry
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Mon Aug 25 2003 - werner@suse.de
- Fix menu entry for bunzip2 label
* Fri Aug 22 2003 - werner@suse.de
- Uncompress bzip2 files on the fly, patch based on
  Volker Kuhlmann's patch (bug #29260)
* Tue Apr 15 2003 - coolo@suse.de
- use BuildRoot
* Mon Mar 10 2003 - werner@suse.de
- Fix sigsegv in case of unkown paper size.
* Fri Nov 08 2002 - werner@suse.de
- Remove XCOMM definition to make new cpp happy
* Fri Sep 20 2002 - okir@suse.de
- added security patch to address buffer overflows
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Jan 14 2002 - schwab@suse.de
- Fix use of token concatenation.
* Fri Jun 22 2001 - ro@suse.de
- use ComplexProgramTargetNoMan
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
- Remove bogus xshared requires, rpm will handle this correct
* Wed May 24 2000 - kukuk@suse.de
- Use /usr/share/doc/packages
* Mon Jan 24 2000 - werner@suse.de
- Add Debian patch 15 for gv 3.5.8
	- Use RPM_OPT_FLAGS
* Mon Sep 20 1999 - ro@suse.de
- added Requires ghostscript_x11
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Oct 15 1997 - werner@suse.de
- New version: 3.5.8
	- This version is usable only with Xaw3d
* Thu Feb 13 1997 - werner@suse.de
- New package with gv version 2_7_6
	- Remove call of Xaw/Xaw3d private function ...
  now we can use Xaw or Xaw3d or Xaw95.
	- Some small changes on app-defaults for
  better viewing in all three Athena Widgets
